import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Scanner;

public class Main{
    
    public static void main(String[] args){
        
        Scanner scanner=new Scanner(System.in);
        System.out.printf("Input: ");
        String in=scanner.nextLine();
        try(InputStream input=new FileInputStream(in);
                DataOutputStream output=new DataOutputStream(new FileOutputStream(in.replace("txt","bin")))){
            
            while(input.available()>0){
                
                output.writeByte(nextByte(input));
            }
            input.close();
            output.close();
        }catch(IOException ioe){
            
            System.out.println(ioe.getMessage());
            ioe.printStackTrace();
            while(true){
                
                
            }
        }
    }
    
    private static byte nextByte(InputStream input)
            throws IOException{
        
        String s="";
        while(s.isEmpty()){
            
            char c=(char)input.read();
            while((c!=',')&&(c!='\r')&&(c!='\n')&&(c!=0xffff)){
            
                s+=c;
                c=(char)input.read();
            }
        }
        return Byte.parseByte(s);
    }
}