package com.deadsoftware;

import java.io.IOException;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;

public class SImage{

    public static SImage createSImage(Image image,int x,int y){
        
        return new SImage(image,x,y);
    }

    public static SImage createSImage(String path,int x,int y)
            throws IOException{
        
        return new SImage(Image.createImage(path),x,y);
    }
    
    private final Image mImage;
    private final int mX;
    private final int mY;

    private SImage(Image image,int x,int y){
            
        mImage=image;
        mX=x;
        mY=y;
    }
    
    public void paint(Graphics graph){
    
        graph.drawImage(mImage,mX,mY,0);
    }
    
    public Image image(){
        
        return mImage;
    }
}